function Y04 = KotParm_Y04_Bound(AMN, PMN, b, r0, r1, c_inf, ...
                                 lambda, mu, nu, M, N)


B = intval(zeros(N+1, N+1));
for n = 0:N
    B(n+1, n+1) = b(n+1);
end

PMN_norm = Xnorm_intval(PMN, nu, M, N);

startOperatorNormComps = 1;

A00 = AMN(:, :, 1, 1);
A10 = AMN(:, :, 2, 1);
A11 = AMN(:, :, 2, 2);
A00_norm = ellNuOne_MatrixNorm_intval(A00, nu, N);
A10_norm = ellNuOne_MatrixNorm_intval(A10, nu, N);
A11_norm =  Xnorm_intval(PMN, nu, M, N);

sum = intval(0);

for m = 2:M
     operatorSumLoop = m;
    for j = 0:m
        this_Operator = AMN(:, :, m+1, j+1)*B;
        this_norm =  ellNuOne_MatrixNorm_intval(this_Operator, nu, N);
        sum = sum + this_norm;
    end
end


sum = sum + abs(b(end))/(abs(lambda^2) - abs(mu)*abs(b(end))) + ...
       abs(b(1))/(abs(lambda)^(M+1) - abs(mu)*abs(b(1)));


Y04 = abs(mu)*sum*PMN_norm^2*c_inf + ...
         (A00_norm + A10_norm)*r0 + A11_norm*r1;



end








