function H = PhiDifferentialSolve_KotSchaffer(...
    PMN, Q, M, N, p, lambda, xi, mu, b, c)

H = zeros(N+1, M+1);
DFP = kotSchafferDifferentialMap_P(PMN, M, N, mu, b, c);

H(:, 1) = Q(:, 1);
H(:, 2) = Q(:, 2);

A0 = DFP(:, :, 1);
I = eye(N+1);

for m = 2:M
    x = zeros(N+1, 1);
    for j = 0:m-1
        x = x + DFP(:, :, m-j+1)*H(:, j+1);
    end
    X = Q(:, m+1) + x;
    H(:, m+1) =  (lambda^m*I - A0)\X;
end

end





