function C = convolutionMatrix_cos(c, N)

%Considers the function P(a) = a*b with b thought of as constant
%and computes the matrix DP(a).

C = zeros(N+1, N+1);

for k = 0:N
   C(k+1, k+1) = c(1); 
end

for n = 1:N
    for k = 0:N-n
       C(k+1, k+1+n) = c(n+1); 
       C(k+1+n, k+1) = c(n+1); 
    end
end

for k = 1:N
   C(1, k+1) = 2*C(1, k+1); 
end

for n = 1:N-1
    for k = 1:N-n
        C(k+1, N+2-n-k) = C(k+1, N+2-n-k) + c(N+2-n);
    end
end

end 