function C = convolutionMatrix_cos_intval(c, N)

%Considers the function P(a) = a*b with b thought of as constant
%and computes the matrix DP(a).



C1 = intval(zeros(N+1,N+1));
C2 = intval(zeros(N+1,N+1));
C1 = C1+diag(ones(N+1,1)*c(1));
for i=1:N
  C1 = C1+diag(c(i+1)*ones(N+1-i,1),i)+diag(c(i+1)*ones(N+1-i,1),-i);  
  C2(:,i+1) = [c(i+1:N+1);zeros(i,1)];  
end
C = C1 + C2;
end 

%OLD VERSION:
% C = intval(zeros(N+1, N+1));
% 
% for k = 0:N
%    C(k+1, k+1) = c(1); 
% end
% 
% for n = 1:N
%     for k = 0:N-n
%        C(k+1, k+1+n) = c(n+1); 
%        C(k+1+n, k+1) = c(n+1); 
%     end
% end
% 
% for k = 1:N
%    C(1, k+1) = 2*C(1, k+1); 
% end
% 
% for n = 1:N-1
%     for k = 1:N-n
%         C(k+1, N+2-n-k) = C(k+1, N+2-n-k) + c(N+2-n);
%     end
% end
% 
% end 